Subject: bug#69079: [PATCH] Add 'customize-toggle-option' command

From: Eshel Yaron <[email-masked]>
Date: Tue, 13 Feb 2024 13:46:28 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Philip Kaludercic <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 13 Feb 2024 00:14:38 +0000
>>
>> >> My assumption was that the command would only be invoked interactivly,
>> >> so I can either make that explicit with an `interactive-only' or repeat
>> >> the check.  What do you think would be better?
>> >
>> > I think an explicit test is better, since then we get to display a
>> > user-friendly error message, instead of relying on Lisp errors to
>> > explain themselves.
>> >
>> > Btw, are you sure that the users can never succeed in inputting a
>> > non-boolean option with the way you prompt them?
>>
>> No, that was not ensured, and I think it is better not to.  I have
>> adjusted the patch to check and prompt the user if the user option is
>> non-boolean, in case they know what they are doing.  WDYT?
>
> LGTM, although I haven't tried to actually use the code.
>
> Thanks.

FWIW, I think it'd be nice to use the as the default minibuffer argument
symbol at point, if applicable.